WavChunkHeader Class Reference

`#include <WavChunkHeader.h>`

## Public Member Functions

| WavChunkHeader (void)
| WavChunkHeader (char *id, UWORD32 len)
| WavChunkHeader (BinaryIO *io)
void | read (BinaryIO *io)
void | write (BinaryIO *io) const
UWORD32 | getChunkLength (void) const
const char * | getChunkId (void) const

## Private Attributes

char | ChunkId [4]
UWORD32 | ChunkLength

## Constructor & Destructor Documentation

## WavChunkHeader() [1/3]

WavChunkHeader::WavChunkHeader | ( | void |  | ) |

inline

## WavChunkHeader() [2/3]

WavChunkHeader::WavChunkHeader | ( | char * | id,
|  | UWORD32 | len )

## WavChunkHeader() [3/3]

WavChunkHeader::WavChunkHeader | ( | BinaryIO * | io | ) |

## Member Function Documentation

## getChunkId()

const char * WavChunkHeader::getChunkId | ( | void |  | ) | const

inline

## getChunkLength()

UWORD32 WavChunkHeader::getChunkLength | ( | void |  | ) | const

inline

## read()

void WavChunkHeader::read | ( | BinaryIO * | io | ) |

## write()

void WavChunkHeader::write | ( | BinaryIO * | io | ) | const

## Member Data Documentation

## ChunkId

char WavChunkHeader::ChunkId[4]

private

## ChunkLength

UWORD32 WavChunkHeader::ChunkLength

private

The documentation for this class was generated from the following files:

- WavChunkHeader.h
- WavChunkHeader.cc